# ApplicationFramework
TKLCAF
TNaming

# TNaming_Identifier Class Reference

`#include <TNaming_Identifier.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TNaming_Identifier (const TDF_Label &Lab, const TopoDS_Shape &S, const TopoDS_Shape &Context, const Standard_Boolean Geom)
Standard_EXPORT | TNaming_Identifier (const TDF_Label &Lab, const TopoDS_Shape &S, const Handle(TNaming_NamedShape)&Context, const Standard_Boolean Geom)
Standard_EXPORT Standard_Boolean | IsDone () const
Standard_EXPORT TNaming_NameType | Type () const
Standard_EXPORT Standard_Boolean | IsFeature ()
Standard_EXPORT Handle_TNaming_NamedShape | Feature () const
Standard_EXPORT void | InitArgs ()
Standard_EXPORT Standard_Boolean | MoreArgs () const
Standard_EXPORT void | NextArg ()
Standard_EXPORT Standard_Boolean | ArgIsFeature () const
Standard_EXPORT Handle_TNaming_NamedShape | FeatureArg ()
Standard_EXPORT TopoDS_Shape | ShapeArg ()
Standard_EXPORT TopoDS_Shape | ShapeContext () const
Standard_EXPORT Handle_TNaming_NamedShape | NamedShapeOfGeneration () const
Standard_EXPORT void | AncestorIdentification (TNaming_Localizer &Localizer, const TopoDS_Shape &Context)
Standard_EXPORT void | PrimitiveIdentification (TNaming_Localizer &Localizer, const Handle(TNaming_NamedShape)&NS)
Standard_EXPORT void | GeneratedIdentification (TNaming_Localizer &Localizer, const Handle(TNaming_NamedShape)&NS)
Standard_EXPORT void | Identification (TNaming_Localizer &Localizer, const Handle(TNaming_NamedShape)&NS)

## Private Attributes

TDF_Label | myTDFAcces
TopoDS_Shape | myShape
Standard_Boolean | myOneOnly
Standard_Boolean | myDone
Standard_Boolean | myIsFeature
TNaming_NameType | myType
Handle_TNaming_NamedShape | myFeature
TNaming_ListOfNamedShape | myPrimitiveArgs
TopTools_ListOfShape | myShapeArgs
Handle_TNaming_NamedShape | myNSContext

## Constructor & Destructor Documentation

Standard_EXPORT TNaming_Identifier::TNaming_Identifier | ( | const TDF_Label & | Lab,
|  | const TopoDS_Shape & | S,
|  | const TopoDS_Shape & | Context,
|  | const Standard_Boolean | Geom
| ) |

Standard_EXPORT TNaming_Identifier::TNaming_Identifier | ( | const TDF_Label & | Lab,
|  | const TopoDS_Shape & | S,
|  | const Handle(TNaming_NamedShape)& | Context,
|  | const Standard_Boolean | Geom
| ) |

## Member Function Documentation

Standard_EXPORT void TNaming_Identifier::AncestorIdentification | ( | TNaming_Localizer & | Localizer,
|  | const TopoDS_Shape & | Context
| ) |

Standard_EXPORT Standard_Boolean TNaming_Identifier::ArgIsFeature | ( |  | ) | const

Standard_EXPORT Handle_TNaming_NamedShape TNaming_Identifier::Feature | ( |  | ) | const

Standard_EXPORT Handle_TNaming_NamedShape TNaming_Identifier::FeatureArg | ( |  | ) |

Standard_EXPORT void TNaming_Identifier::GeneratedIdentification | ( | TNaming_Localizer & | Localizer,
|  | const Handle(TNaming_NamedShape)& | NS
| ) |

Standard_EXPORT void TNaming_Identifier::Identification | ( | TNaming_Localizer & | Localizer,
|  | const Handle(TNaming_NamedShape)& | NS
| ) |

Standard_EXPORT void TNaming_Identifier::InitArgs | ( |  | ) |

Standard_EXPORT Standard_Boolean TNaming_Identifier::IsDone | ( |  | ) | const

Standard_EXPORT Standard_Boolean TNaming_Identifier::IsFeature | ( |  | ) |

Standard_EXPORT Standard_Boolean TNaming_Identifier::MoreArgs | ( |  | ) | const

Standard_EXPORT Handle_TNaming_NamedShape TNaming_Identifier::NamedShapeOfGeneration | ( |  | ) | const

Standard_EXPORT void TNaming_Identifier::NextArg | ( |  | ) |

void TNaming_Identifier::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TNaming_Identifier::operator new | ( | size_t | size | ) | `[inline]`

void* TNaming_Identifier::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void TNaming_Identifier::PrimitiveIdentification | ( | TNaming_Localizer & | Localizer,
|  | const Handle(TNaming_NamedShape)& | NS
| ) |

Standard_EXPORT TopoDS_Shape TNaming_Identifier::ShapeArg | ( |  | ) |

Standard_EXPORT TopoDS_Shape TNaming_Identifier::ShapeContext | ( |  | ) | const

Standard_EXPORT TNaming_NameType TNaming_Identifier::Type | ( |  | ) | const

## Field Documentation

Standard_Boolean TNaming_Identifier::myDone `[private]`

Handle_TNaming_NamedShape TNaming_Identifier::myFeature `[private]`

Standard_Boolean TNaming_Identifier::myIsFeature `[private]`

Handle_TNaming_NamedShape TNaming_Identifier::myNSContext `[private]`

Standard_Boolean TNaming_Identifier::myOneOnly `[private]`

TNaming_ListOfNamedShape TNaming_Identifier::myPrimitiveArgs `[private]`

TopoDS_Shape TNaming_Identifier::myShape `[private]`

TopTools_ListOfShape TNaming_Identifier::myShapeArgs `[private]`

TDF_Label TNaming_Identifier::myTDFAcces `[private]`

TNaming_NameType TNaming_Identifier::myType `[private]`

The documentation for this class was generated from the following file:

- TNaming_Identifier.hxx